import request from '@/utils/request'

// 查询处方列表
export function listPrescribe(query) {
  return request({
    url: '/his/prescribe/list',
    method: 'get',
    params: query
  })
}
export function getImg() {
  return request({
    url: '/his/prescribe/getImg',
    method: 'get',
  })
}
// 查询处方详细
export function getPrescribe(prescribeId) {
  return request({
    url: '/his/prescribe/' + prescribeId,
    method: 'get'
  })
}
export function queryIdCard(prescribeId) {
  return request({
    url: '/his/prescribe/queryIdCard/' + prescribeId,
    method: 'get'
  })
}

export function getDrugInfo(prescribeId) {
  return request({
    url: '/his/prescribe/Drug/' + prescribeId,
    method: 'get'
  })
}
// 新增处方
export function addPrescribe(data) {
  return request({
    url: '/his/prescribe',
    method: 'post',
    data: data
  })
}

// 修改处方
export function updatePrescribe(data) {
  return request({
    url: '/his/prescribe',
    method: 'put',
    data: data
  })
}

// 删除处方
export function delPrescribe(prescribeId) {
  return request({
    url: '/his/prescribe/' + prescribeId,
    method: 'delete'
  })
}

// 导出处方
export function exportPrescribe(query) {
  return request({
    url: '/his/prescribe/export',
    method: 'get',
    params: query
  })
}

// 导出医疗信息反馈单
export function exportMessageFeedback(query) {
  return request({
    url: '/his/prescribe/messageFeedbackExport',
    method: 'get',
    params: query
  })
}